Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 926147

Summary: mindless: Does not support aarch64 in f19 and rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: mindlessAssignee: Göran Uddeborg <goeran>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: goeran
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 1.0.0-8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 21:44:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 922257    

Description Dennis Gilmore 2013-03-23 15:30:02 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  mindless appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/mindless/mindless-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Göran Uddeborg 2013-04-03 19:50:12 UTC
I'll try the suggestions in the order of preference.  Upstreams doesn't seem too active, but I'll give that a try first.

Comment 2 Göran Uddeborg 2013-04-12 21:44:21 UTC
Upstreams has more or less retired.  (He asked me if I wanted to take over.  I might one day, but for now.)  So I went for option 2.

That on the other hand worked without any problems.  At least for the traditional i686 and x86_64, I don't have any aarch64 to test on. :-)  Implemented in 1.0.0-8.